package com.jpa.jpaspringboot;

import com.jpa.jpaspringboot.dao.UserDao;
import com.jpa.jpaspringboot.entity.User;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class JpaSpringBootApplicationTests {

    @Autowired
    private UserDao userDao;

    @Test
    void testFindAll() {
       User user = new User();
       user.setSex("男");
       user.setName("123");
       user.setId(11);
       user.setSex("女");
       userDao.save(user);
    }

}
